Loading...
Searching...
No Matches
std::tuple_element< i, Dune::TupleVector< Args... > > Struct Template Reference

Make std::tuple_element work for TupleVector. More...

`#include <dune/common/tuplevector.hh>`

## Public Types

using | type = typename std::tuple_element<i, std::tuple<Args...> >::type

## Detailed Description

template<size_t i, typename... Args>
struct std::tuple_element< i, Dune::TupleVector< Args... > >

Make std::tuple_element work for TupleVector.

It derives from std::tuple after all.

## Member Typedef Documentation

## type

template<size_t i, typename... Args>

using std::tuple_element< i, Dune::TupleVector< Args... > >::type = typename std::tuple_element<i, std::tuple<Args...> >::type

The documentation for this struct was generated from the following file:

- tuplevector.hh